Package pyplusplus :: Package code_creators :: Module registration_based :: Class registration_based_t

# type registration_based_t

source code

                     object --+
                              |
    code_creator.code_creator_t --+
                                  |
                                 registration_based_t

Known Subclasses:
  - smart_pointers.smart_pointer_registrator_t
  - , smart_pointers.smart_pointers_converter_t
  - , enum.enum_t
  - , class_declaration.class_declaration_t
  - , class_declaration.class_t
  - , unnamed_enum.unnamed_enum_t
  - , exception_translator.exception_translator_register_t
  - , calldef.calldef_t
  - , array_1_registrator.array_1_registrator_t
  - , member_variable.member_variable_base_t
  - , calldef.calldef_overloads_t
  - , calldef.casting_constructor_t
  - , calldef.casting_member_operator_t
  - , calldef.casting_operator_t
  - , calldef.operator_t
  - , calldef.static_method_t
  - , indexing_suites.indexing_suite1_t
  - , indexing_suites.indexing_suite2_t
  - , properties.property_t
  - , global_variable.global_variable_base_t
  - , ctypes_integration_creators.expose_sizeof_t
  - , ctypes_integration_creators.expose_this_t

Code creator that is based on a declaration.

Instance Methods

__init__(self, associated_decl_creators=None) Constructor. | source code

Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| associated_decl_creators references to global declaration code creators.
Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, associated_decl_creators=None)
(Constructor)

source code

Constructor.

Parameters:
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### associated_decl_creators

references to global declaration code creators.